<div id="odata_parameters" style="margin-top: 5%">
  <form #form="ngForm" (ngSubmit)="submitForm(form.value)">
    <div class="form-group">
      <div class="row">
        <span id = "connectionName">
        <div class="col-lg-6">
          <p class="title"><span class="astrick">*</span>Connection Name </p>
          <!-- <input kendoTextBox class="kendo-input" placeholder="Connection Name"
            [(ngModel)]="connectorField.connectionName" /> -->
          <input type="text" class="form-control" placeholder="Connection Name" name="connectionName"
            [(ngModel)]="connectorField.connectionName" ngModel required>
        </div>
        </span>
        <span id = "aliasName">
        <div class="col-lg-6">
          <p class="title">Alias Name(Optional)</p>
          <!-- <input kendoTextBox class="kendo-input" placeholder="Alias Name" [(ngModel)]="connectorField.aliasName" /> -->
          <input type="text" class="form-control" placeholder="Alias Name" name="aliasName"
            [(ngModel)]="connectorField.aliasName" ngModel>
        </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
        <span id="connectionUrl">
        <div class="col-lg-12">
          <p class="title"><span class="astrick">*</span>Connection Url </p>
          <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.url" placeholder="Connection Url" /> -->
          <input type="text" class="form-control" placeholder="Connection Url" name="connectionUrl"
            [(ngModel)]="connectorField.url" ngModel required>
        </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
       <span id="userName">
        <div class="col-lg-6">
          <p class="title"><span class="astrick">*</span>Username</p>
          <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.userName" placeholder="Username" /> -->
          <input type="text" class="form-control" placeholder="Username" name="userName" 
            [(ngModel)]="connectorField.userName" ngModel required>
        </div>
        </span>
       
        <span id="password">
        <div class="col-lg-6">
          <p class="title"><span class="astrick">*</span>Password </p>
          <input [type]="isShow ? 'text' : 'password'" class="form-control" placeholder="Password" name="password"
            [(ngModel)]="connectorField.password" ngModel required>
          <span toggle="#password-field" (click)="this.isShow = !this.isShow" class="fa toggle-password" [ngClass]="{ 'fa-eye': isShow, 'fa-eye-slash': !isShow}"></span>
        </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
        <div class="col-lg-12">
          <span id = "saveBtn">
          <button kendoButton class="pull-right" primary="true" (click)="onSaveConnection()"
            [disabled]="!form.valid">Save</button>
            </span>
            <span id="closeBtn">
          <button kendoButton class="pull-right cancel_button" (click)="closeIt()">Close</button>
          </span>
          <span id="testConnection">
          <button class="pull-right test_connection" (click)="testConnection()" [disabled]="!form.valid">Test
            Connection</button>
            </span>
        </div>
      </div>
    </div>
  </form>
  <div class="overlay" *ngIf="isProcessing">
    <i class="fa fa-refresh fa-spin"></i>
    <p>{{processingText}}</p>
  </div>